Description

this is not of any interest to the end-user

History

#1 - 2014-11-18 17:59 - Jan Moringen

remove the template parameter from build-gen

 

Are you referring to the --template commandline parameter or the "templates": […] fields in recipes?

#2 - 2014-11-18 18:39 - Florian Lier

- Subject changed from remove the template parameter from build-gen to [Humanoids] Remove the template parameter from build-gen

#3 - 2014-11-18 19:04 - Jan Moringen

- Status changed from New to Feedback

#4 - 2014-11-22 10:32 - Florian Lier

I am referring to the command line invocation. As I presented the build-gen to various people at the conference they all could (more or less)

understand the semantics of the "./job-configurator" command line, e.g., the -b part where they select the target CI server, -d for the desired

distribution and so on and forth. However, the -t part was not so clear to them (since they haven't written a *.project file and will probably never do if

they are only interested in reproduction). The main point here is, that one could "infer" the path of the related template file from the path of the

distribution file, or am I mistaken here?

#5 - 2014-11-22 10:42 - Florian Lier

- Subject changed from [Humanoids] Remove the template parameter from build-gen to [Humanoids] Remove the template parameter (-t) from

build-gen command line invocation

#6 - 2014-11-24 09:42 - Jan Moringen

Currently, selecting specific templates is the way to choose between different deployment modes. I don't think we can remove this ability with the

current architecture.
#7 - 2015-08-26 09:25 - Florian Lier

- Status changed from Feedback to Rejected
